ARG CI_REGISTRY_IMAGE="registry.gitlab.com/gitlab-org/build/cng"
ARG FROM_IMAGE="$CI_REGISTRY_IMAGE/gitlab-go"
ARG GO_TAG="master"

FROM --platform=${TARGETPLATFORM} ${FROM_IMAGE}:${GO_TAG} AS compile

ARG GOMPLATE_VERSION="v3.11.8"
ARG GOMPLATE_SHA256=a38ba762e57a0aa5d7040f818a1ddbb613c42bf0432c897e33a99d21388ecdc7

ENV GOMPLATE_SOURCE_URL=https://github.com/hairyhenderson/gomplate/archive/refs/tags/$GOMPLATE_VERSION.tar.gz

ENV GOTOOLCHAIN=local

RUN mkdir -p /build /target
COPY scripts/ /scripts

RUN /scripts/dependencies
RUN /scripts/download $GOMPLATE_SOURCE_URL $GOMPLATE_SHA256
RUN /scripts/build $GOMPLATE_VERSION

FROM --platform=${TARGETPLATFORM} scratch
COPY --from=compile /target/gomplate /gomplate
